# settings.yml

```yaml
MONGO:
  URI-MODE: false
  NORMAL:
    HOST: 127.0.0.1
    PORT: 27017
    DATABASE: frost
    AUTH:
      ENABLED: false
      USERNAME: user
      PASSWORD: pass
      AUTH-DATABASE: admin
  URI:
    CONNECTION-STRING: ''
    DATABASE-NAME: ''
PLACEHOLDER-API:
  PLAYER-KIT-ELO-FORMAT: '&b<kit> &f<position>&8. <player> &7(&f<elo>&7)'
SETTINGS:
  OVERRIDE-PLAYER:
    SHOW-PLAYERS: true
    VANILLA-TABLIST: true
  GENERAL:
    TABLIST-ENABLED: true
    PREMIUM-ENABLED: false
    NAMETAGS-ENABLED: true
    GULAG-PVP-WHILE-WAITING: false
    MAXIMUM-PARTY-SIZE: 32
    FFA-SAFEZONE-RADIUS: 10
    PARTY-ALERT-COOLDOWN: 180
    TOGGLE-PLAYERS-COOLDOWN: 16
    PARTY-LIMIT-BY-DEFAULT: 12
    NAMETAGS-PREFIX: '&a'
    PREMIUM-QUEUE-KIT: NoDebuff
    PARTY-COOLDOWN-MESSAGE: '&cYou must wait &l<time> <left> &cbefore announcing your party again.'
    TOGGLE-PLAYERS-COOLDOWN-MESSAGE: '&cYou must wait &l<time> <left> &cbefore using that command again.'
  MATCH:
    REMOVE-BOTTLE: false
    SHOW-COUNTDOWN-TITLE: true
    MAX-RANKED-PING: 100
    RANKEDS-REQUIRED: 10
    PING-TOO-HIGH-MESSAGE: '&cYour ping is too high to play ranked... Maximum ping allowed: 25ms'
    BLOCKED-COMMANDS:
      - /gamemode creative
      - /gamemode c
      - /gamemode 1
      - /gmc
      - /kill
      - /disguise
      - /undisguise
    QUEUE-PING-LIMIT-SETTING:
      RANKED: true
      PREMIUM: true
      UNRANKED: true
      MIN-PING-PLUS-PROBABILITY: 0.65
      MAX-PING-MINUS-PROBABILITY: 0.8
  LEADERBOARDS:
    STYLE: Silex
    MENU-TITLE: '&b&lLeaderboards'
    GENERAL-FORMAT: '&f<position> &8| &b'
    PLAYER-STATS-FORMAT: ''
    SHOW-UPDATE-MESSAGE: true
    UPDATE-TIME: 15
    UPDATE-MESSAGE: '&8[&b&lFrost&8] &7&oUpdating leaderboards! This could cause minor lag...'
    WINSTREAK:
      MENU-TITLE: '&b&lWinstreak Leaderboards'
HOLOGRAM:
  UPDATE-TIME: 20
  FORMAT:
    FORMAT: '&b<number># &f<name> &7» &f<value> &7» <elo_rating>'
    LINES:
      - '&b&lPractice'
      - '&b&lLeaderboards'
      - '&7'
      - '&a◉ <kit> ◉'
      - '&7'
      - <top>
      - '&7'
      - '&fNext update in &b<update>'
  WINSTREAK:
    FORMAT: '&b<number># &f<name> &7» &f<value>'
    LINES:
      - '&b&lPractice Winstreak'
      - '&b&lLeaderboards'
      - '&7'
      - '&a◉ <kit> ◉'
      - '&7'
      - <top>
      - '&7'
      - '&fNext update in &b<update>'
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.frozed.club/frost/configuration/settings.yml.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
